var $q = require("q");
var superAgent = require('superagent');
var url = "http://date.jsontest.com/";

function Sync(method, model, opts) {

	var promise = $q.defer();

	var name = model.config.adapter.collection_name,
	    data = model.config.data,
	    resp = null;
	switch (method) {
		case "create":
		case "read":
			superAgent.get(url)//
				.set('Accept', 'application/json')//
				.end(function(err, res) {
					if(!err) {
						resp = res.body;
						typeof opts.success === 'function' && opts.success(resp);
						"read" === method && model.trigger("fetch sync");
						promise.resolve(model);
					} else {
						console.log(err);
						promise.reject();
					}
				});
			break;
	}
	return promise;
}

module.exports.sync = Sync;

